=== debian/changelog ===
rust-ripcalc (0.1.9-1) unstable; urgency=medium

  * Package ripcalc 0.1.9 from crates.io using debcargo 2.6.0
  * Closes: #1034051

 -- Ed Neville <ed-debian@s5h.net>  Sat, 17 Jun 2023 10:14:14 +0200
