=== debian/control ===
Source: rust-ripcalc
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-csv-1+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix-0.26+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ripcalc]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
Homepage: https://www.usenix.org.uk/content/ripcalc.html
X-Cargo-Crate: ripcalc
Rules-Requires-Root: no

Package: librust-ripcalc-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-csv-1+default-dev,
 librust-getopts-0.2+default-dev,
 librust-nix-0.26+default-dev
Provides:
 librust-ripcalc+default-dev (= ${binary:Version}),
 librust-ripcalc-0-dev (= ${binary:Version}),
 librust-ripcalc-0+default-dev (= ${binary:Version}),
 librust-ripcalc-0.1-dev (= ${binary:Version}),
 librust-ripcalc-0.1+default-dev (= ${binary:Version}),
 librust-ripcalc-0.1.9-dev (= ${binary:Version}),
 librust-ripcalc-0.1.9+default-dev (= ${binary:Version})
Description: Format and lookup IP addresses - Rust source code
 This package contains the source for the Rust ripcalc crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: ripcalc
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: simple network calculator and lookup tool
 Process and lookup network addresses from the command line or CSV.
 Output has a variety of customisable formats.
