=== debian/changelog ===
rust-ripcalc (0.1.11-2) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.1.11 from crates.io using debcargo 2.6.1
  * Add patch for nix 0.27.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 15:52:09 +0000

rust-ripcalc (0.1.11-1) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.1.11 from crates.io using debcargo 2.6.1
  * Drop old deps.patch, no longer needed.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 29 Feb 2024 22:30:49 +0000
