=== debian/control ===
--- 
+++ 
@@ -8,11 +8,14 @@
  libstd-rust-dev,
  librust-csv-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix-0.26+default-dev
+ librust-nix-0.27+default-dev,
+ librust-nix-0.27+net-dev,
+ librust-nix-0.27+poll-dev,
+ librust-nix-0.27+signal-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ed Neville <ed-debian@s5h.net>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ripcalc]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
 Homepage: https://www.usenix.org.uk/content/ripcalc.html
@@ -26,18 +29,20 @@
  ${misc:Depends},
  librust-csv-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix-0.26+default-dev
+ librust-nix-0.27+default-dev,
+ librust-nix-0.27+net-dev,
+ librust-nix-0.27+poll-dev,
+ librust-nix-0.27+signal-dev
 Provides:
  librust-ripcalc+default-dev (= ${binary:Version}),
  librust-ripcalc-0-dev (= ${binary:Version}),
  librust-ripcalc-0+default-dev (= ${binary:Version}),
  librust-ripcalc-0.1-dev (= ${binary:Version}),
  librust-ripcalc-0.1+default-dev (= ${binary:Version}),
- librust-ripcalc-0.1.9-dev (= ${binary:Version}),
- librust-ripcalc-0.1.9+default-dev (= ${binary:Version})
+ librust-ripcalc-0.1.11-dev (= ${binary:Version}),
+ librust-ripcalc-0.1.11+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
- This package contains the source for the Rust ripcalc crate, packaged by
- debcargo for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "ripcalc"
 
 Package: ripcalc
 Architecture: any
