=== debian/changelog ===
rust-ripcalc (0.1.12-1) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.1.12 from crates.io using debcargo 2.7.0
  * Drop nix-0.27.patch, no longer needed.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 27 Oct 2024 12:03:04 +0000
