=== debian/changelog ===
rust-ripcalc (0.2.5-1) unstable; urgency=medium

  * Package ripcalc 0.2.5 from crates.io using debcargo 2.7.8

 -- Ed Neville <ed-debian@s5h.net>  Fri, 29 Aug 2025 19:39:31 +0200
