=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-cargo (>= 25),
- cargo:native,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-csv-1+default-dev,
+ librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
  librust-nix+default-dev (>= 0.27-~~),
  librust-nix+fs-dev (>= 0.27-~~),
  librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~)
+ librust-nix+signal-dev (>= 0.27-~~),
+ librust-regex-1+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ed Neville <ed-debian@s5h.net>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ripcalc]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
 Homepage: https://www.usenix.org.uk/content/ripcalc.html
@@ -28,25 +30,26 @@
 Depends:
  ${misc:Depends},
  librust-csv-1+default-dev,
+ librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
  librust-nix+default-dev (>= 0.27-~~),
  librust-nix+fs-dev (>= 0.27-~~),
  librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~)
+ librust-nix+signal-dev (>= 0.27-~~),
+ librust-regex-1+default-dev
 Provides:
  librust-ripcalc+default-dev (= ${binary:Version}),
  librust-ripcalc-0-dev (= ${binary:Version}),
  librust-ripcalc-0+default-dev (= ${binary:Version}),
- librust-ripcalc-0.1-dev (= ${binary:Version}),
- librust-ripcalc-0.1+default-dev (= ${binary:Version}),
- librust-ripcalc-0.1.12-dev (= ${binary:Version}),
- librust-ripcalc-0.1.12+default-dev (= ${binary:Version})
+ librust-ripcalc-0.2-dev (= ${binary:Version}),
+ librust-ripcalc-0.2+default-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.5-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.5+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
  Source code for Debianized Rust crate "ripcalc"
 
 Package: ripcalc
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},
