=== debian/changelog ===
rust-ripcalc (0.2.6-1) unstable; urgency=medium

  * Team upload
  * Package ripcalc 0.2.6 from crates.io using debcargo 2.7.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 2 Oct 2025 18:43:24 -0400
