=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ripcalc
 Homepage: https://www.usenix.org.uk/content/ripcalc.html
 X-Cargo-Crate: ripcalc
-Rules-Requires-Root: no
 
 Package: librust-ripcalc-dev
 Architecture: any
@@ -43,8 +42,8 @@
  librust-ripcalc-0+default-dev (= ${binary:Version}),
  librust-ripcalc-0.2-dev (= ${binary:Version}),
  librust-ripcalc-0.2+default-dev (= ${binary:Version}),
- librust-ripcalc-0.2.5-dev (= ${binary:Version}),
- librust-ripcalc-0.2.5+default-dev (= ${binary:Version})
+ librust-ripcalc-0.2.6-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.6+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
  Source code for Debianized Rust crate "ripcalc"
