=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.6 --all-targets --all-features
Features: test-name=rust-ripcalc:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.6 --all-targets
Features: test-name=librust-ripcalc-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ripcalc 0.2.6 --all-targets --no-default-features
Features: test-name=librust-ripcalc-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable
