=== debian/changelog ===
rust-ripcalc (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * Package ripcalc 0.2.7 from crates.io using debcargo 2.7.11
    + New upstream supports nix 0.30.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 14 Oct 2025 13:58:31 +0000
