=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  librust-csv-1+default-dev,
  librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix+default-dev (>= 0.27-~~),
- librust-nix+fs-dev (>= 0.27-~~),
- librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~),
+ librust-nix-0.30+default-dev,
+ librust-nix-0.30+fs-dev,
+ librust-nix-0.30+net-dev,
+ librust-nix-0.30+signal-dev,
  librust-regex-1+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
@@ -31,10 +31,10 @@
  librust-csv-1+default-dev,
  librust-dns-lookup-1+default-dev,
  librust-getopts-0.2+default-dev,
- librust-nix+default-dev (>= 0.27-~~),
- librust-nix+fs-dev (>= 0.27-~~),
- librust-nix+net-dev (>= 0.27-~~),
- librust-nix+signal-dev (>= 0.27-~~),
+ librust-nix-0.30+default-dev,
+ librust-nix-0.30+fs-dev,
+ librust-nix-0.30+net-dev,
+ librust-nix-0.30+signal-dev,
  librust-regex-1+default-dev
 Provides:
  librust-ripcalc+default-dev (= ${binary:Version}),
@@ -42,8 +42,8 @@
  librust-ripcalc-0+default-dev (= ${binary:Version}),
  librust-ripcalc-0.2-dev (= ${binary:Version}),
  librust-ripcalc-0.2+default-dev (= ${binary:Version}),
- librust-ripcalc-0.2.6-dev (= ${binary:Version}),
- librust-ripcalc-0.2.6+default-dev (= ${binary:Version})
+ librust-ripcalc-0.2.7-dev (= ${binary:Version}),
+ librust-ripcalc-0.2.7+default-dev (= ${binary:Version})
 Description: Format and lookup IP addresses - Rust source code
  Source code for Debianized Rust crate "ripcalc"
